Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.crypt

# Class EncryptionIdentifier

java.lang.Object
org.firebirdsql.gds.ng.wire.crypt.EncryptionIdentifier

public final class EncryptionIdentifier extends Object
Identifier of an encryption type + plugin.

Since:
  4.0
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_SYMMETRIC`

## Constructor Summary

Constructors
Constructor
Description
`EncryptionIdentifier(String type, String pluginName)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`boolean`
`isTypeSymmetric()`
`String`
`pluginName()`
Name of the plugin (or cipher).
`String`
`toString()`
`String`
`type()`
Type of encryption.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE_SYMMETRIC

public static final String TYPE_SYMMETRIC

See Also:
  - Constant Field Values

## Constructor Details

### EncryptionIdentifier

public EncryptionIdentifier(String type, String pluginName)

## Method Details

### type

public String type()
Type of encryption.

For example: `"Symmetric"`.

Returns:
  Encryption type

### pluginName

public String pluginName()
Name of the plugin (or cipher).

For example: `"Arc4"`.

Returns:
  Name of the plugin

### isTypeSymmetric

public boolean isTypeSymmetric()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`